// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: openadr/ActivePeriodType.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace Openadrevent {

  /// <summary>Holder for reflection information generated from openadr/ActivePeriodType.proto</summary>
  public static partial class ActivePeriodTypeReflection {

    #region Descriptor
    /// <summary>File descriptor for openadr/ActivePeriodType.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static ActivePeriodTypeReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Ch5vcGVuYWRyL0FjdGl2ZVBlcmlvZFR5cGUucHJvdG8SDG9wZW5hZHJldmVu",
            "dBofZ29vZ2xlL3Byb3RvYnVmL3RpbWVzdGFtcC5wcm90byLGAQoQQWN0aXZl",
            "UGVyaW9kVHlwZRIuCgpzdGFydF9kYXRlGAEgASgLMhouZ29vZ2xlLnByb3Rv",
            "YnVmLlRpbWVzdGFtcBIQCghkdXJhdGlvbhgCIAEoCRITCgtzdGFydF9hZnRl",
            "chgDIAEoCRIgChhlaV9ub3RpZmljYXRpb25fZHVyYXRpb24YBCABKAkSGwoT",
            "ZWlfcmFtcF91cF9kdXJhdGlvbhgFIAEoCRIcChRlaV9yZWNvdmVyeV9kdXJh",
            "dGlvbhgGIAEoCUJ2Chljb20uY29kaWJseS5tb2RlbC5vcGVuYWRyQhVBY3Rp",
            "dmVQZXJpb2RUeXBlUHJvdG/KAhlEb21haW5Nb2RlbFxQcm90b1xPcGVuYWRy",
            "4gIlRG9tYWluTW9kZWxcUHJvdG9cT3BlbmFkclxHUEJNZXRhZGF0YWIGcHJv",
            "dG8z"));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::Openadrevent.ActivePeriodType), global::Openadrevent.ActivePeriodType.Parser, new[]{ "StartDate", "Duration", "StartAfter", "EiNotificationDuration", "EiRampUpDuration", "EiRecoveryDuration" }, null, null, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class ActivePeriodType : pb::IMessage<ActivePeriodType>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<ActivePeriodType> _parser = new pb::MessageParser<ActivePeriodType>(() => new ActivePeriodType());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<ActivePeriodType> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::Openadrevent.ActivePeriodTypeReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ActivePeriodType() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ActivePeriodType(ActivePeriodType other) : this() {
      startDate_ = other.startDate_ != null ? other.startDate_.Clone() : null;
      duration_ = other.duration_;
      startAfter_ = other.startAfter_;
      eiNotificationDuration_ = other.eiNotificationDuration_;
      eiRampUpDuration_ = other.eiRampUpDuration_;
      eiRecoveryDuration_ = other.eiRecoveryDuration_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ActivePeriodType Clone() {
      return new ActivePeriodType(this);
    }

    /// <summary>Field number for the "start_date" field.</summary>
    public const int StartDateFieldNumber = 1;
    private global::Google.Protobuf.WellKnownTypes.Timestamp startDate_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::Google.Protobuf.WellKnownTypes.Timestamp StartDate {
      get { return startDate_; }
      set {
        startDate_ = value;
      }
    }

    /// <summary>Field number for the "duration" field.</summary>
    public const int DurationFieldNumber = 2;
    private string duration_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Duration {
      get { return duration_; }
      set {
        duration_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "start_after" field.</summary>
    public const int StartAfterFieldNumber = 3;
    private string startAfter_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string StartAfter {
      get { return startAfter_; }
      set {
        startAfter_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "ei_notification_duration" field.</summary>
    public const int EiNotificationDurationFieldNumber = 4;
    private string eiNotificationDuration_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string EiNotificationDuration {
      get { return eiNotificationDuration_; }
      set {
        eiNotificationDuration_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "ei_ramp_up_duration" field.</summary>
    public const int EiRampUpDurationFieldNumber = 5;
    private string eiRampUpDuration_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string EiRampUpDuration {
      get { return eiRampUpDuration_; }
      set {
        eiRampUpDuration_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "ei_recovery_duration" field.</summary>
    public const int EiRecoveryDurationFieldNumber = 6;
    private string eiRecoveryDuration_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string EiRecoveryDuration {
      get { return eiRecoveryDuration_; }
      set {
        eiRecoveryDuration_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as ActivePeriodType);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(ActivePeriodType other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (!object.Equals(StartDate, other.StartDate)) return false;
      if (Duration != other.Duration) return false;
      if (StartAfter != other.StartAfter) return false;
      if (EiNotificationDuration != other.EiNotificationDuration) return false;
      if (EiRampUpDuration != other.EiRampUpDuration) return false;
      if (EiRecoveryDuration != other.EiRecoveryDuration) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (startDate_ != null) hash ^= StartDate.GetHashCode();
      if (Duration.Length != 0) hash ^= Duration.GetHashCode();
      if (StartAfter.Length != 0) hash ^= StartAfter.GetHashCode();
      if (EiNotificationDuration.Length != 0) hash ^= EiNotificationDuration.GetHashCode();
      if (EiRampUpDuration.Length != 0) hash ^= EiRampUpDuration.GetHashCode();
      if (EiRecoveryDuration.Length != 0) hash ^= EiRecoveryDuration.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (startDate_ != null) {
        output.WriteRawTag(10);
        output.WriteMessage(StartDate);
      }
      if (Duration.Length != 0) {
        output.WriteRawTag(18);
        output.WriteString(Duration);
      }
      if (StartAfter.Length != 0) {
        output.WriteRawTag(26);
        output.WriteString(StartAfter);
      }
      if (EiNotificationDuration.Length != 0) {
        output.WriteRawTag(34);
        output.WriteString(EiNotificationDuration);
      }
      if (EiRampUpDuration.Length != 0) {
        output.WriteRawTag(42);
        output.WriteString(EiRampUpDuration);
      }
      if (EiRecoveryDuration.Length != 0) {
        output.WriteRawTag(50);
        output.WriteString(EiRecoveryDuration);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (startDate_ != null) {
        output.WriteRawTag(10);
        output.WriteMessage(StartDate);
      }
      if (Duration.Length != 0) {
        output.WriteRawTag(18);
        output.WriteString(Duration);
      }
      if (StartAfter.Length != 0) {
        output.WriteRawTag(26);
        output.WriteString(StartAfter);
      }
      if (EiNotificationDuration.Length != 0) {
        output.WriteRawTag(34);
        output.WriteString(EiNotificationDuration);
      }
      if (EiRampUpDuration.Length != 0) {
        output.WriteRawTag(42);
        output.WriteString(EiRampUpDuration);
      }
      if (EiRecoveryDuration.Length != 0) {
        output.WriteRawTag(50);
        output.WriteString(EiRecoveryDuration);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (startDate_ != null) {
        size += 1 + pb::CodedOutputStream.ComputeMessageSize(StartDate);
      }
      if (Duration.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Duration);
      }
      if (StartAfter.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(StartAfter);
      }
      if (EiNotificationDuration.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(EiNotificationDuration);
      }
      if (EiRampUpDuration.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(EiRampUpDuration);
      }
      if (EiRecoveryDuration.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(EiRecoveryDuration);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(ActivePeriodType other) {
      if (other == null) {
        return;
      }
      if (other.startDate_ != null) {
        if (startDate_ == null) {
          StartDate = new global::Google.Protobuf.WellKnownTypes.Timestamp();
        }
        StartDate.MergeFrom(other.StartDate);
      }
      if (other.Duration.Length != 0) {
        Duration = other.Duration;
      }
      if (other.StartAfter.Length != 0) {
        StartAfter = other.StartAfter;
      }
      if (other.EiNotificationDuration.Length != 0) {
        EiNotificationDuration = other.EiNotificationDuration;
      }
      if (other.EiRampUpDuration.Length != 0) {
        EiRampUpDuration = other.EiRampUpDuration;
      }
      if (other.EiRecoveryDuration.Length != 0) {
        EiRecoveryDuration = other.EiRecoveryDuration;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            if (startDate_ == null) {
              StartDate = new global::Google.Protobuf.WellKnownTypes.Timestamp();
            }
            input.ReadMessage(StartDate);
            break;
          }
          case 18: {
            Duration = input.ReadString();
            break;
          }
          case 26: {
            StartAfter = input.ReadString();
            break;
          }
          case 34: {
            EiNotificationDuration = input.ReadString();
            break;
          }
          case 42: {
            EiRampUpDuration = input.ReadString();
            break;
          }
          case 50: {
            EiRecoveryDuration = input.ReadString();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            if (startDate_ == null) {
              StartDate = new global::Google.Protobuf.WellKnownTypes.Timestamp();
            }
            input.ReadMessage(StartDate);
            break;
          }
          case 18: {
            Duration = input.ReadString();
            break;
          }
          case 26: {
            StartAfter = input.ReadString();
            break;
          }
          case 34: {
            EiNotificationDuration = input.ReadString();
            break;
          }
          case 42: {
            EiRampUpDuration = input.ReadString();
            break;
          }
          case 50: {
            EiRecoveryDuration = input.ReadString();
            break;
          }
        }
      }
    }
    #endif

  }

  #endregion

}

#endregion Designer generated code
